* We are going to look at how firms responses to monetary policy shocks gien their financial positions
* Financial positions we are discussing here is (leverage, maturity)
* Firms responses are (investment, borrowing, leverage choice, maturity choice)
clear
set more off
use "3_data_constructed/sample.dta",clear
codebook borrow longborrow shortborrow

*----------------------------------------------------------------------
* Takeout Average Mean
replace leverage = leverage-0.351701
replace maturity = maturity-0.8421202

*----------------------------------------------------------------------
egen mean_leverage=mean(leverage), by (gvkey)
egen mean_maturity=mean(maturity), by (gvkey)
egen mean_d2default=mean(d2default), by (gvkey)
egen mean_age=mean(age), by (gvkey)
egen mean_liquidity=mean(liquidity), by (gvkey)
gen temp_leverage=leverage - mean_leverage
gen temp_maturity=maturity - mean_maturity
gen temp_d2default=d2default - mean_d2default
gen temp_age=age - mean_age
gen temp_liquidity=liquidity - mean_liquidity

*----------------------------------------------------------------------
****** Table 3: The Temp Departs 

* (1) MP Only  | Firm Control [Yes], Aggregate Control [Yes]
set more off
xtset gvkey time
reghdfe inv tsum l.temp_maturity l.temp_leverage  ///
        l.atq l.cheq l.revtq l.saleq l.sale_g l.profit l.vol l.nei ///
		l.vixq l.GDP_Growth l.Unemployment l.inflation, ///
		absorb(gvkey sic2 quarter) cluster(gvkey time)
estimates store a1, title(A1)

* (2) Maturity Only | Firm Control [Yes], Aggregate Control [Yes]
set more off
xtset gvkey time
reghdfe inv tsum (c.l.temp_maturity)#(c.tsum)  ///
        l.temp_maturity l.temp_leverage   ///
        l.atq l.cheq l.revtq l.saleq l.sale_g l.profit l.vol l.nei ///
		l.vixq l.GDP_Growth l.Unemployment l.inflation, ///
		absorb(gvkey sic2 quarter) cluster(gvkey time)
estimates store a2, title(A2)

* (3) Maturity + Lev + Time FE | Firm Control [Yes], Aggregate Control [Yes]
set more off
xtset gvkey time
reghdfe inv tsum (c.l.temp_maturity)#(c.tsum) (c.tsum)#(c.l.temp_leverage)  ///
        l.temp_maturity l.temp_leverage ///
        l.atq l.cheq l.revtq l.saleq l.sale_g l.profit l.vol l.nei ///
		l.vixq l.GDP_Growth l.Unemployment l.inflation, ///
		absorb(gvkey sic2 quarter time) cluster(gvkey time)
estimates store a3, title(A3)

* (4) Maturity + DD + Time FE| Firm Controls [Yes], Aggregate Control [Yes]
set more off
xtset gvkey time
reghdfe inv tsum (c.l.temp_maturity)#(c.tsum) (c.tsum)#(c.l.temp_d2default)  ///
        l.temp_maturity l.temp_d2default ///
        l.atq l.cheq l.revtq l.saleq l.sale_g l.profit l.vol l.nei ///
		l.vixq l.GDP_Growth l.Unemployment l.inflation, ///
		absorb(time gvkey sic2 quarter) cluster(gvkey time)
estimates store a4, title(A4)

* (5) Maturity + Others | Firm Control [Yes], Aggregate Control [Yes]
set more off
xtset gvkey time
reghdfe inv tsum (c.l.temp_maturity)#(c.tsum) (c.tsum)#(c.l.temp_leverage) (c.tsum)#(c.l.temp_d2default)  ///
        l.temp_maturity  l.temp_leverage l.temp_d2default ///
        l.atq l.cheq l.revtq l.saleq l.sale_g l.profit l.vol l.nei ///
		l.vixq l.GDP_Growth l.Unemployment l.inflation, ///
		absorb(gvkey sic2 quarter) cluster(gvkey time)
estimates store a5, title(A5)

* (6) Maturity + Others + Time FE | Firm Controls [Yes], Aggregate Control [Yes]
set more off
xtset gvkey time
reghdfe inv tsum (c.l.temp_maturity)#(c.tsum) (c.tsum)#(c.l.temp_leverage) (c.tsum)#(c.l.temp_d2default)  ///
        l.temp_maturity l.temp_leverage l.temp_d2default ///
        l.atq l.cheq l.revtq l.saleq l.sale_g l.profit l.vol l.nei ///
		l.vixq l.GDP_Growth l.Unemployment l.inflation, ///
		absorb(time gvkey sic2 quarter) cluster(gvkey time)
estimates store a6, title(A6)

* Export Table 3
esttab a1 a2 a3 a4 a5 a6 using 4_results/02_Table_Main/Table_3.tex, replace  ///
se b(3) ar2 starlevels(* .1 ** 0.05 *** 0.01)










